local monocle = require("#monocle")

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
  disableMovement()
  disableRetry()
  player.ForceCameraUpdate = false
  wait(1.5)
  say("donk_OrionsBeltCh1_End2")
  wait(1)
  setFlag("donk_SummonShip_Ch1", true)
  playSound("event:/Donk_MoreOrionsBelt/sfx_ShipLand", player.Position)
  wait(11)
  completeArea(True, False, True)
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  player.DummyAutoAnimate = true
  completeArea(True, False, True)
  getLevel():ResetZoom()
  enableMovement()
end